Package net.commoble.jumbofurnace.jumbo_furnace

# Class UninsertableItemStackHandler

java.lang.Object
net.neoforged.neoforge.items.ItemStackHandler
net.commoble.jumbofurnace.jumbo_furnace.UninsertableItemStackHandler

All Implemented Interfaces:
  `net.neoforged.neoforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`, `net.neoforged.neoforge.items.IItemHandler`, `net.neoforged.neoforge.items.IItemHandlerModifiable`

public class UninsertableItemStackHandler extends net.neoforged.neoforge.items.ItemStackHandler

## Field Summary

### Fields inherited from class net.neoforged.neoforge.items.ItemStackHandler

`stacks`

## Constructor Summary

Constructors
Constructor
Description
`UninsertableItemStackHandler(int slots)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isItemValid(int slot, net.minecraft.world.item.ItemStack stack)`

### Methods inherited from class net.neoforged.neoforge.items.ItemStackHandler

`deserializeNBT, extractItem, getSlotLimit, getSlots, getStackInSlot, getStackLimit, insertItem, onContentsChanged, onLoad, serializeNBT, setSize, setStackInSlot, validateSlotIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UninsertableItemStackHandler

public UninsertableItemStackHandler(int slots)

## Method Details

### isItemValid

public boolean isItemValid(int slot, net.minecraft.world.item.ItemStack stack)

Specified by:
  `isItemValid` in interface `net.neoforged.neoforge.items.IItemHandler`
Overrides:
  `isItemValid` in class `net.neoforged.neoforge.items.ItemStackHandler`